Page tree
Skip to end of metadata
Go to start of metadata

For cPanel & WHM version 11.52

(Home >> Software >> MultiPHP Manager)

Important:

WHM's MultiPHP Manager interface is only available on systems that run EasyApache 4.

Overview

WHM's MultiPHP Manager interface allows you to easily manage the PHP configuration on your server. In this interface, you can manage the system's default PHP version and the PHP version of any virtual host on the system. You can also set a different PHP version for each virtual host. 

System PHP version

The System PHP Version functions as the global default for all accounts. When you create a new account, the account uses this version of PHP by default.  Any primary domain that is set to Inherit uses the System PHP Version.  For more information, read our More About PHP Inheritance documentation. 

To change the system default PHP, perform the following steps:

  1. Click Edit in the System PHP Version section.
  2. Select the PHP version to use from the menu.
  3. Click Apply

Remember:

If you change the system default PHP version, the PHP version of any primary domain that is set to Inherit also changes.

Set PHP version per domain

In EasyApache 4, each domain or virtual host can use any currently installed PHP version. 

The list of accounts shows:

  • The name of the domain
  • The domain's suspension status
  • The domain's account
  • The PHP version that the domain currently uses.  

Use the Search text box to search for specific domains. You can search by domain name, account name, or the current PHP version of the domain. Results update automatically as you type.  

Note:

Parked domains are aliases for a primary domain and are not listed in the user interface.

The PHP version per domain feature

To change an account's PHP version, perform the following steps:

  1. Select the checkbox next to the domain that you wish to change.
  2. Select the desired version of PHP in the PHP Version menu. If you want the account to always use the system default, select Inherit.
  3. Click Apply

Warning:

Incorrect ownership of an .htaccess file may cause failures when you change an account's PHP version. The user account must own the .htaccess file that you want to change and must have permissions of 644.

Additional Documentation

 

 

  • No labels